## Apache Zeta Components Manual :: Docs For Class ezcLogStackWriter

### EventLog::ezcLogStackWriter

### Class ezcLogStackWriter

The ezcLogStackWriter class stores all received log messages in memory.

The main purpose is to get all received log message at once, for example to output them in the webpage.

Source for this file: /EventLog/src/writers/writer_stack.php

### Implements interfaces:

- ezcLogWriter
- IteratorAggregate (internal interface)

Version: | //autogentag//

### Member Variables

protected array(int=>ezcLogEntry) | `$entries = array()` Stores all entries received by this writer.

### Method Summary

public ArrayObject | `getIterator( )` Implements IteratorAggreagate, returns iterator for all entries.
public void | `writeLogMessage( $message , $severity , $source , $category , [ $optional = array()] )` Writes the message $message to the log.

### Methods

#### getIterator

ArrayObject getIterator( )

Implements IteratorAggreagate, returns iterator for all entries.

##### Implementation of:

Method | Description
--- | ---
`IteratorAggregate::getIterator` |

#### writeLogMessage

void writeLogMessage( string $message , int $severity , string $source , string $category , [array(string=>string) $optional = array()] )

Writes the message $message to the log.

The writer can use the severity, source, and category to filter the incoming messages and determine the location where the messages should be written.

The array $optional contains extra information that can be added to the log. For example: line numbers, file names, usernames, etc.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |
`$severity` | int | ezcLog::DEBUG, ezcLog::SUCCESS_AUDIT, ezcLog::FAILED_AUDIT, ezcLog::INFO, ezcLog::NOTICE, ezcLog::WARNING, ezcLog::ERROR or ezcLog::FATAL.
`$source` | string |
`$category` | string |
`$optional` | array(string=>string) |

##### Exceptions:

Type | Description
--- | ---
`ezcLogWriterException` | If the log writer was unable to write the log message

##### Implementation of:

Method | Description
--- | ---
`ezcLogWriter::writeLogMessage()` | Writes the message $message to the log.

Documentation generated by phpDocumentor 1.4.3